using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SC
{
    [Description("会议内容选项")]
    public class T_SC_MT_CONTENT_DEAL : MesEntityBase
    {
        /// <summary>
        /// 会议表
        /// </summary>
        [Description("会议表")]
        [DataFieldForeignKey("Nav_Content", "Nav_ListContentDeal")]
        public Guid CONTENT_ID { get; set; }

        /// <summary>
        /// 会议表
        /// </summary>
        [Description("导航：会议表")]
        public virtual T_SC_MT_CONTENT Nav_Content { get; set; }

        /// <summary>
        /// 选项
        /// </summary>
        [Description("选项")]
        [FormFieldQuery]
        [DataFieldLength(300)]
        [FormFieldEdit]
        public string CONTENTDETAIL { get; set; }

        /// <summary>
        /// 得分
        /// </summary>
        [FormFieldQuery]
        [FormFieldEdit]
        [Description("得分")]
        public decimal PERSCORE { get; set; }

        /// <summary>
        /// 题目选项排序
        /// </summary>
        [Description("题目选项排序")]
        public int CONTENT_DEAL_NO { get; set; }
    }
}
